MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004656ATutor- no cat -public2010-12-10 15:222010-12-20 10:18
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.0.2 
Summary0004656: groups in things current
Descriptionwith one group created in one of 6 courses, immediately after logging in, 6 group entries appear in the Things Current list. clicking on another link, then using the back button to return to My Start Page, the group entries in Things Current go away.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0004785)
greg (administrator)
2010-12-10 15:25

each link for the group listings is the same except for the value of the course variable.

http://localhost/atutorsvn/bounce.php?course=2&p=mods%2F_standard%2Fforums%2Fforum%2Findex.php%3Ffid%3D7 [^]


http://localhost/atutorsvn/bounce.php?course=4&p=mods%2F_standard%2Fforums%2Fforum%2Findex.php%3Ffid%3D7 [^]
(0004791)
greg (administrator)
2010-12-10 16:02

in ff linux after login to My Start, or after clicking on a link to a forum in things current, then using the back button to return to my start reproduces the problem. Same in FF on Windows, though reload My Start after using the back button.
(0004792)
greg (administrator)
2010-12-10 16:03
edited on: 2010-12-10 16:15

IE produces the problem the same as FF in windows, reload after back button.

(0004793)
greg (administrator)
2010-12-10 16:22

seems to originate in mods_standard/forums/module_news.php
(0004797)
cindy (administrator)
2010-12-13 16:27

SVN revision: 10519

Solution: The course_id is not checked when retrieving the groups that are associated with forums.

Affected: mods/_standard/forums/lib/forums.inc.php

- Issue History
Date Modified Username Field Change
2010-12-10 15:22 greg New Issue
2010-12-10 15:22 greg Affects version => SVN
2010-12-10 15:25 greg Note Added: 0004785
2010-12-10 16:02 greg Note Added: 0004791
2010-12-10 16:03 greg Note Added: 0004792
2010-12-10 16:15 greg Note Edited: 0004792
2010-12-10 16:22 greg Note Added: 0004793
2010-12-13 11:52 greg Status new => assigned
2010-12-13 11:52 greg Assigned To => cindy
2010-12-13 16:27 cindy Status assigned => resolved
2010-12-13 16:27 cindy Fixed in Version => 2.0.2
2010-12-13 16:27 cindy Resolution open => fixed
2010-12-13 16:27 cindy Note Added: 0004797
2010-12-20 10:18 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker